SDL_GetGPUDriver(3)

NAME
SDL_GetGPUDriver - Get the name of a built in GPU driver.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

const char * SDL_GetGPUDriver(int index);

DESCRIPTION
The GPU drivers are presented in the order in which they are normally checked during initialization.

The names of drivers are all simple, low-ASCII identifiers, like "vulkan", "metal" or "direct3d12". These never have Unicode characters, and are not meant to be proper names.

FUNCTION PARAMETERS

index
    the index of a GPU driver.

RETURN VALUE
Returns the name of the GPU driver with the given index.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetNumGPUDrivers(3)